import React from "react";
import PropTypes from "prop-types";
import { useTranslation } from "react-i18next";
import CanvasJSReact from "../../../../assets/js/canvasjs.react";
var CanvasJSChart = CanvasJSReact.CanvasJSChart;
var CanvasJS = CanvasJSReact.CanvasJS;

const SessionsRunningTimeChart = ({ data }) => {
  const { t } = useTranslation();

  const addSymbols = (e) => {
    return CanvasJS.formatNumber(e.value + "h");
  };

  const dataPoints = data.map((z) => {
    return {
      x: z.orderNo,
      y: z.runningTime.hours,
      label: z.orderNo,
      indexLabel: z.runningTime.label
    };
  });

  const options = {
    animationEnabled: true,
    theme: "light2",
    title: {
      text: "Sessions running time",
      fontSize: 20
    },
    axisX: {
      title: "Sessions",
      reversed: true,
      interval: 1
    },
    axisY: {
      title: "Running time",
      labelFormatter: addSymbols
    },
    data: [
      {
        type: "bar",
        color: "#3f51b5",
        dataPoints
      }
    ]
  };

  return (
    <div>
      <CanvasJSChart
        options={options}
        /* onRef={ref => this.chart = ref} */
      />
      {/*You can get reference to the chart instance as shown above using onRef. This allows you to access all chart properties and methods*/}
    </div>
  );
};

SessionsRunningTimeChart.propTypes = {
  data: PropTypes.object.isRequired
};

export default SessionsRunningTimeChart;
